Bug 1679213 - yum-config-manager --enable/--disable without arguments is ambiguous
Summary: yum-config-manager --enable/--disable without arguments is ambiguous
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf-plugins-core
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.0
Assignee: Pavla Kratochvilova
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-20 15:39 UTC by Karel Srot
Modified: 2020-04-28 16:47 UTC (History)
3 users (show)

Fixed In Version: dnf-plugins-core-4.0.12-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:47:40 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1823 None None None 2020-04-28 16:47:54 UTC

Description Karel Srot 2019-02-20 15:39:52 UTC
Description of problem:

# cat /etc/yum.repos.d/bz1151154repo*
[bz1151154repoA]
name=My Local Repo bz1151154repoA
baseurl=file:///tmp/tmp.7fxA6gpJvW/bz1151154repoA/
enabled=0
gpgcheck=0
[bz1151154repoB]
name=My Local Repo bz1151154repoB
baseurl=file:///tmp/tmp.7fxA6gpJvW/bz1151154repoB/
enabled=0
gpgcheck=0

# yum-config-manager --enable
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Error: Trying to enable already enabled repos.

# cat /etc/yum.repos.d/bz1151154repo*
[bz1151154repoA]
name=My Local Repo bz1151154repoA
baseurl=file:///tmp/tmp.kESYbvMVMs/bz1151154repoA/
enabled=0
gpgcheck=0
[bz1151154repoB]
name=My Local Repo bz1151154repoB
baseurl=file:///tmp/tmp.kESYbvMVMs/bz1151154repoB/
enabled=0
gpgcheck=0


# rpm -q dnf-utils
dnf-utils-4.0.2.2-3.el8.noarch

Comment 1 Pavla Kratochvilova 2019-09-23 11:03:07 UTC
Karel, can you please clarify, what did you mean by "ambiguous" in the summary? I think the message is not ambiguous, but plainly wrong, because dnf is not trying to enable any repository.

If the above is correct, I propose the following acceptance criteria:

AC: "yum-config-manager --enable" without arguments outputs the same as "yum-config-manager --disable", i.e. empty stderr and stdout.

Comment 2 Karel Srot 2019-09-23 11:17:00 UTC
Hi,
I was complaining on the message "Error: Trying to enable already enabled repos." while not having any repository enabled.

How much is running "yum-config-manager --enable" correct? You AC is probably sane assuming the RFE 1706384 won't be implemented.

Comment 3 Pavla Kratochvilova 2019-09-24 17:19:43 UTC
> I was complaining on the message "Error: Trying to enable already enabled repos." while not having any repository enabled.

All right, thanks.

> How much is running "yum-config-manager --enable" correct?

The old yum-config-manager exited with 0 when run with "--enable" without other arguments, so I wouldn't change that.

Comment 13 errata-xmlrpc 2020-04-28 16:47:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1823


Note You need to log in before you can comment on or make changes to this bug.